Subject: [RFC PATCH 2/2] arm: pcibios: move to generic PCI domains

From: [email-masked] (Lorenzo Pieralisi)
Date: Thu, 30 Oct 2014 16:20:22 +0000

On Thu, Oct 30, 2014 at 11:55:31AM +0000, Arnd Bergmann wrote:
> On Thursday 30 October 2014 11:44:48 Lorenzo Pieralisi wrote:
> > Most if not all ARM PCI host controller device drivers either ignore the
> > domain field in the pci_sys_data structure or just increment it every
> > time a host controller is probed, using it as a domain counter.
> > 
> > Therefore, instead of relying on pci_sys_data to stash the domain number
> > in a standard location, ARM pcibios code can be moved to the newly
> > introduced generic PCI domains code, implemented in commits:
> > 
> > commit 41e5c0f81d3e676d671d96a0a1fafb27abfbd9
> > ("of/pci: Add pci_get_new_domain_nr() and of_get_pci_domain_nr()")
> > 
> > commit 670ba0c8883b576d0aec28bd7a838358a4be1
> > ("PCI: Add generic domain handling")
> > 
> > In order to assign a domain number dynamically, the ARM pcibios defines
> > the function, called by core PCI code:
> > 
> > void pci_bus_assign_domain_nr(...)
> > 
> > that relies on a DT property to define the domain number or falls back to
> > a counter; its usage replaces the current domain assignment code in PCI
> > host controllers present in the kernel.
> > 
> > Cc: Arnd Bergmann <[email-masked]>
> > Cc: Phil Edworthy <[email-masked]>
> > Cc: Jason Gunthorpe <[email-masked]>
> > Cc: Jingoo Han <[email-masked]>
> > Cc: Bjorn Helgaas <[email-masked]>
> > Cc: Russell King <[email-masked]>
> > Cc: Mohit Kumar <[email-masked]>
> > Signed-off-by: Lorenzo Pieralisi <[email-masked]>
> > 
> 
> Acked-by: Arnd Bergmann <[email-masked]>
> 
> Very nice!

Thank you very much, I would be grateful if Jason, Jingoo, and Phil can
give the patch a go on the respective platforms and hopefully I will add
their tested-by tags.

I guess pci_sys_data.add_bus pointer is the next to go :)

Lorenzo